Subject: Re: What's cooking in git.git (Jul 2021, #03; Tue, 13)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 14 Jul 2021 16:32:30 +0200

On Wed, Jul 14 2021, Derrick Stolee wrote:

> On 7/13/2021 9:07 PM, Junio C Hamano wrote:
> [...]
>> * ds/gender-neutral-doc-guidelines (2021-06-16) 2 commits
>>  - SQUASH??? replace neutering tips with that of Æver
>>  - CodingGuidelines: recommend singular they
>>  (this branch uses ds/gender-neutral-doc.)
>> 
>>  Attempt to give a guideline for gender neutral documentation.
>> 
>>  Comments?
>
> I've said before and will repeat here that the draft in your
> SQUASH??? commit looks like a good compromise to me. It can
> replace the other commit in this branch.

Just doing that would leave the commit message that says "change X",
when we're now changing X, Y and Z. I.e.  With the squash it changes
from narrowly focusing on the pronoun question into a start of a general
prose and style guide for our documentation.

Whatever anyone thinks about the proposed end-result I'd say that's a
bit too much work to dump in Junio's lap.

I also had a question for you here >2 weeks ago:
https://lore.kernel.org/git/[email-masked]/